Bug 1288082 - Systemd package split
Systemd package split
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
ChangeAcceptedF24, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 07:52 EST by Jan Kurik
Modified: 2016-04-20 10:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: systemd-229-6.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-14 11:54:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2015-12-03 07:52:40 EST
This is a tracking bug for Change: Systemd package split
For more details, see: https://fedoraproject.org//wiki/Changes/systemd_package_split

Two new subpackages will be split out from the main systemd package. systemd-container will contain stuff for launching and managing VMs and containers. system-udev will contain udevd and other hardware-related bits.
Comment 1 Jan Kurik 2016-02-24 09:26:01 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-02-26 02:04:12 EST
Yep, I didn't push this change. I have it fully implemented in local packages, but there have been unrelated problems with systemd (mainly #1308771, but also some upstream issues). If if it is still possible, I'd like to push it this week after the situation with #1308771 is cleared up and the compose process is fully funcitional again.
Comment 3 Stephen Gallagher 2016-03-04 10:42:31 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Yep, I didn't push this change. I have it fully implemented in local
> packages, but there have been unrelated problems with systemd (mainly
> #1308771, but also some upstream issues). If if it is still possible, I'd
> like to push it this week after the situation with #1308771 is cleared up
> and the compose process is fully funcitional again.

Any word on this?
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-03-04 12:08:38 EST
So... #1308771 is still not fixed as you probably know. We've been going down the rabbit hole further and further, and heavily patching systemd-selinux code. But it's not done yet.

I pushed the patches for #1308771 and the split for this bug to rawhide/F24 and it's building in koji now.

Note You need to log in before you can comment on or make changes to this bug.